namespace EEMSClientCore;

public partial class ClientCaller : IClientCaller
{
    Task<Guid> IClientCaller.RegisterDevice(DeviceInfo deviceInfo)
    {
        deviceInfo.IsConnected = true;
        this.Invoke("RegisterDevice", deviceInfo, out Guid guid);

        return Task.FromResult(guid);
    }

    Task<bool> IClientCaller.FilePack(Guid guid, byte[] buffer, int current, int total)
    {
        return this.Send("FilePack", guid, buffer, current, total);
    }

    Task<bool> IClientCaller.UpdateRealTimeData(Dictionary<string, object> realtimeData)
    {
        return this.Send("UpdateRealTimeData", realtimeData);
    }

}